#include <iostream>

using namespace std;

int main()
{
    int a,b;
    cin >> a >> b;
    int niz[2*a] = { 0 };
    int niz1[2*a] =  { };
    int brojpolja = 0;
    for(int k=0;k<a;k++){
        int fi;
        cin >>fi;
        ++niz[fi+a];
        if(niz[fi+a]==b){
            for(int k=0;k<=int(a/b);k++){
                if(niz1[k]==NULL){
                    niz1[k]=fi;
                    break;
                }
            }
            ++brojpolja;
        }
    }
    cout <<brojpolja<<endl;
    for(int k=0;k<a;k++){
        if(niz1[k]==NULL){
            break;
        }
        cout << niz1[k];
    }
}